> ## Documentation Index
> Fetch the complete documentation index at: https://docs.fintoc.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Webhook Endpoint

**`v1`** · Base URL `https://api.fintoc.com/v1`


## OpenAPI

````yaml v2023-11-15/reference/fintoc-api.json PATCH /webhook_endpoints/{id}
openapi: 3.1.0
info:
  title: fintoc-api
  version: '2023-11-15'
servers:
  - url: https://api.fintoc.com/v1
security:
  - {}
paths:
  /webhook_endpoints/{id}:
    patch:
      summary: Update Webhook Endpoint
      operationId: webhook-endpoints-update
      parameters:
        - name: id
          in: path
          description: The `id` of the `Webhook Endpoint` to update.
          schema:
            type: string
            default: we_ZVkXK1EXCAEOl0pJ
          required: true
        - name: Authorization
          in: header
          description: Fintoc Secret Key
          schema:
            type: string
            default: sk_test_9c8d8CeyBTx1VcJzuDgpm4H
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                description:
                  type: string
                  description: >-
                    Optional description that might help identify the
                    responsibilities of the endpoint.
                  default: Descripción del Webhook Endpoint
                enabled_events:
                  type: array
                  description: Events that will trigger a webhook to be sent.
                  default:
                    - account.refresh_intent.succeeded
                  items:
                    type: string
                url:
                  type: string
                  description: URL that will receive the notifications about events.
                  default: https://my.webhook.endpoint
                disabled:
                  type: boolean
                  description: >-
                    Optional parameter to disable or enable the notifications to
                    the endpoint.
                  default: false
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value: |-
                    {
                      "id": "we_M6yrvOepCe3Rqp8B",
                      "description": "Eventos que recibirá el webhook.",
                      "url": "https://my.webhook.endpoint",
                      "status": "enabled",
                      "mode": "test",
                      "secret": null,
                      "enabled_events": [
                        "account.refresh_intent.succeeded"
                      ],
                      "created_at": "2021-05-17T17:04:10.284Z"
                    }
              schema:
                type: object
                properties:
                  id:
                    type: string
                    example: we_M6yrvOepCe3Rqp8B
                  description:
                    type: string
                    example: Eventos que recibirá el webhook.
                  url:
                    type: string
                    example: https://my.webhook.endpoint
                  status:
                    type: string
                    example: enabled
                  mode:
                    type: string
                    example: test
                  secret: {}
                  enabled_events:
                    type: array
                    items:
                      type: string
                      example: account.refresh_intent.succeeded
                  created_at:
                    type: string
                    example: '2021-05-17T17:04:10.284Z'
      deprecated: false

````